Get Playlist Metadata

Fetch metadata for a Chartmetric playlist on a streaming platform. Response shape varies slightly per platform; follower counts may exceed the 32-bit range.

Path Parameters
  • id
    required

    Chartmetric playlist ID. Numeric for spotify, itunes/applemusic, and deezer; string (e.g. ASIN, channel ID) for amazon, youtube, and soundcloud.

    • Type: integer
      min:  
      0
      max:  
      2147483647

      Chartmetric playlist ID. Numeric for spotify, itunes/applemusic, and deezer; string (e.g. ASIN, channel ID) for amazon, youtube, and soundcloud.

  • platform
    Type: string enum
    required

    Streaming platform. One of spotify, applemusic (aliased to itunes), itunes, deezer, amazon, youtube, soundcloud.

    values
    • cm
    • spotify
    • itunes
    • applemusic
    • deezer
Query Parameters
  • storefront
    Type: string
    min length:  
    2
    max length:  
    2

    ISO 3166-1 alpha-2 country code (2 letters, e.g. 'US', 'BR', 'GB').

Responses
  • application/json
Request Example for get/api/playlist/{platform}/{id}
curl https://api.chartmetric.com/api/playlist/cm/0 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "id": 179228,
    "name": "Disney Hits",
    "playlist_id": "5NtjgKz4doejP5HJtKXFcS",
    "description": "Your favorite Disney songs including Disney and Pixar’s Soul soundtrack.",
    "image_url": "https://i.scdn.co/image/ab67706c0000bebb5eb3284524c46bb313c1901f",
    "sys_last_updated": "2020-12-20T02:54:08.370Z",
    "last_updated": "2020-12-19T03:57:31.173Z",
    "personalized": false,
    "code2": null,
    "owner_name": "Walt Disney Records",
    "owner_id": 40857,
    "user_id": "128899670",
    "editorial": false,
    "tags": [
      {
        "id": 12463,
        "name": "hollywood"
      },
      {
        "id": 25588,
        "name": "movie tunes"
      },
      {
        "id": 408416,
        "name": "pop"
      }
    ],
    "followers": 11334,
    "num_track": "88",
    "fdiff_week": 68,
    "fdiff_month": 425,
    "catalog": "catalogue ",
    "active_ratio": 0.034091
  }
}